# Note that this is NOT a relocatable package
%define ver      0.4.4
%define rel      1
%define prefix   /usr

Summary:   Encompass
Name:      encompass
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Gnome/Internet
Source:    encompass-%{PACKAGE_VERSION}.tar.gz
URL:       http://zephyr.webhop.net/encompass/
BuildRoot: /var/tmp/encompass-%{PACKAGE_VERSION}-root
Packager:  Rodney Dawes <dobez@fnmail.com>
Requires: gnome-libs >= 1.2.3
Requires: gtkhtml >= 0.7
Docdir: %{prefix}/doc

%description
A Web Browser for Gnome using GtkHTML.

%changelog

%prep
%setup

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} \
    --with-gnome --without-debug --sysconfdir=/etc
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
    --with-gnome --without-debug --sysconfdir=/etc
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{prefix}/bin/*
%{prefix}/share/gnome/apps/Internet/*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/pixmaps/encompass.png
%{prefix}/share/pixmaps/encompass/*
%{prefix}/share/sounds/encompass/*
%config /etc/sound/events/*
